Przejdź do głównej zawartości

Ta przeglądarka nie jest już obsługiwana.

Przejdź na przeglądarkę Microsoft Edge, aby korzystać z najnowszych funkcji, aktualizacji zabezpieczeń i pomocy technicznej.

Pobieranie przeglądarki Microsoft Edge Więcej informacji o przeglądarkach Internet Explorer i Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Memory Stores

Search memories

POST /memory_stores/{name}:search_memories

Searches the specified memory store for memories relevant to the provided conversation context.

Parametry nagłówka

Foundry-Features enum wymagane

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

MemoryStores=V1Preview

Parametry ścieżki

name string wymagane

The name of the memory store to search.

Parametry zapytań

api-version string wymagane

The API version to use for this operation.

Treść żądania

Content-Type: application/json
scope string wymagane

The namespace that logically groups and isolates memories, such as a user ID.

items OpenAI.InputItem[]

Items for which to search for relevant memories.

previous_search_id string

The unique ID of the previous search request, enabling incremental memory search from where the last operation left off.

options MemorySearchOptions

Memory search options.

max_memories integer

Maximum number of memory items to return.

Odpowiedzi

The request has succeeded.

Treść

Content-Type: application/json
search_id string wymagane

The unique ID of this search request. Use this value as previous_search_id in subsequent requests to perform incremental searches.

memories MemorySearchItem[] wymagane

Related memory items found during the search operation.

usage MemoryStoreOperationUsage wymagane

Usage statistics of a memory store operation.

embedding_tokens integer wymagane

The number of embedding tokens.

input_tokens integer wymagane
input_tokens_details OpenAI.ResponseUsageInputTokensDetails wymagane
cached_tokens integer wymagane
cache_write_tokens integer wymagane
output_tokens integer wymagane
output_tokens_details OpenAI.ResponseUsageOutputTokensDetails wymagane
reasoning_tokens integer wymagane
total_tokens integer wymagane

Client error

Treść

Content-Type: application/json
error OpenAI.Error wymagane
code string | null wymagane
message string wymagane
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Którekolwiek z poniższych:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string wymagane

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Treść

Content-Type: application/json
error OpenAI.Error wymagane
code string | null wymagane
message string wymagane
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Którekolwiek z poniższych:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string wymagane

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Żądanie

POST /memory_stores/{name}:search_memories HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
pl-pl
Wybrane przez Ciebie opcje dotyczące prywatności
  • Zastrzeżenie dotyczące sztucznej inteligencji
  • Poprzednie wersje
  • Blog
  • Współtworzenie
  • Prywatność
  • Prywatność kondycji konsumenta
  • Warunki użytkowania
  • Znaki towarowe
  • © Microsoft 2026